function BImg = maxima(PImg); 
%MAXIMA
%  
%  BImg = maxima(PImg); 
% 
%  
%  Vertical Local Maxima Points
%
%  See also 
% 
%  Further Information:  
%   http://www.ime.usp.br/~cesar/projects/matlab/mulstiscale  
%  
%  This program is free software; you can redistribute it and/or
%  modify it under the terms of the GNU General Public License
%  as published by the Free Software Foundation; either version 2
%  of the License, or (at your option) any later version.
%
%  This program is distributed in the hope that it will be useful,
%  but WITHOUT ANY WARRANTY; without even the implied warranty of
%  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%  GNU General Public License for more details.
%
%  You should have received a copy of the GNU General Public License
%  along with this program; if not, write to the Free Software
%  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
%
%   Copyright (c) 2001 by Roberto M Cesar Jr. 
%   e-mail:cesar@ime.usp.br  
%   $Revision: 0.0 $  $Date: 2001/01/01 $ 

 
[Np1,Np2] = size(PImg); 
 
BImg = zeros(Np1,Np2); 
 
r = 1:Np1; 
c = 1:(Np2-1); 
 
sr(r,c+1) = PImg(r,c);  
sr(r,1) =  PImg(r,Np2); 
 
c = c + 1; 
 
sl(r,c-1) = PImg(r,c);  
sl(r,Np2) =  PImg(r,1); 
 
BImg = ((PImg > sr) & (PImg >= sl)) | ((PImg >= sr) & (PImg > sl)) ; 
