function wwwmultiscaledemo
%WWWMULTISCALEDEMO
%  
%  wwwmultiscaledemo
% 
% 
%  See also 
% 
%  Further Information:  
%   http://www.ime.usp.br/~cesar/projects/matlab/mulstiscale  
%  
%  This program is free software; you can redistribute it and/or
%  modify it under the terms of the GNU General Public License
%  as published by the Free Software Foundation; either version 2
%  of the License, or (at your option) any later version.
%
%  This program is distributed in the hope that it will be useful,
%  but WITHOUT ANY WARRANTY; without even the implied warranty of
%  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%  GNU General Public License for more details.
%
%  You should have received a copy of the GNU General Public License
%  along with this program; if not, write to the Free Software
%  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
%
%   Copyright (c) 2001 by Roberto M Cesar Jr. 
%   e-mail:cesar@ime.usp.br  
%   $Revision: 0.0 $  $Date: 2001/01/01 $ 


outputdir='/home/cesar/www/projects/multiscale/';
inputmfilesdir = './';
inputdir = 'images/';

mfilesurldir = 'mfiles/';

htdirinit(outputdir);

% size of icons in percent of the original image
imsizes = 15;


% INICIALIZING THE OUTPUT WWW FILES
fp=htopen([outputdir 'index.html'],'Multiscale Shape Analysis Matlab Toolbox 2000'); 
 
htwtext(fp,'<h2> Multiscale Shape Analysis (MSA) Matlab Toolbox 2000 </h2>'); 
htwpar(fp); 
htwhr(fp); 
htwpar(fp);

htwtext(fp,'This page has been automatically generated by the ');
htwurl(fp,' wwwmultiscaledemo.m ', './mfiles/wwwmultiscaledemo.m');
htwtext(fp,' script using the ');
htwurl(fp,' Multiscale Shape Analysis (MSA) Matlab Toolbox ', 'http://www.ime.usp.br/~cesar/projects/matlab/mulstiscale');
htwtext(fp,' and the ');
htwurl(fp,' HTML Matlab Toolbox. ', 'http://www.vision.ime.usp.br/~casado/matlab/htmltoolbox/');
htwtext(fp,'If you want to try our methods in some of your images, please go to our ');
htwurl(fp,' << Quick Start >> page. ', 'index.html');

htwtext(fp,'The scripts in the this toolbox implement the contour extraction and the curvegram algorithms described in the book: ');
htwurl(fp,'L. da F. Costa and R. M. Cesar-Jr, Shape analysis and classification, CRC Press, 2001.','http://www.ime.usp.br/~cesar/shape_crc/');

htwtext(fp,'Please check also the paper ');
htwurl(fp,'Cesar and Costa, Pattern Recognition, 1996.','http://www.vision.ime.usp.br/~creativision/publications/creativisionSArticles.html');


htwpar(fp); 
htwurl(fp,' Click here ', './mfiles/');
htwtext(fp,' to check the functions of the MSA. Below you can find some case examples using our toolbox. ');

htwpar(fp); 
htwhr(fp); 
htwpar(fp);

% Copy the mfiles %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

htdirinit( [outputdir mfilesurldir] );

fpm=htopen([outputdir mfilesurldir 'index.html'],'Multiscale Shape Analysis Toolbox: Matlab Scripts'); 
htwtext(fpm,'<h2> Multiscale Shape Analysis Toolbox: Matlab Scripts </h2>'); 
htwpar(fpm); 
htwhr(fpm); 
htwpar(fpm);

htwmfilesreport(fpm, inputmfilesdir, [outputdir mfilesurldir], './');
htclose(fpm);

ht544([outputdir mfilesurldir]);

% Generating the Examples %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

imgfiles = dir([inputdir '*.tif']);

nfiles = length(imgfiles);

for indf=1:nfiles

 img = imread([inputdir imgfiles(indf).name]);

 [nlins, ncols, nbands]=size(img);

 if (nbands > 1)
  img_new = zeros([nlins ncols]);
  for band=1:nbands
   img_new = img_new + img(:,:,band);
  end
  img = img_new / nbands;
 end

 % SEGMENTATION: ASSUMES THE FIRST PIXEL IS BACKGROUND

 bin_img = (img ~= img(1,1));

 [x,y] = contfol(bin_img);

 ns=8;
 nb=16;
 k = curvegram(x',y',ns,nb); 

 k_maxima = maxima(k);


 htwtext(fp,'<table border="1"> <tr align="center"> ');

 htwtext(fp,' <td> ');
 figure;
 imagesc(img); colormap(gray);
 title('Original image' ); 
 fh=gcf; 
 htwtext(fp,'Original image: ');
 htwpar(fp); 
 htwhandle(fp, fh, outputdir, htimname, imsizes, imsizes); 
 close(fh);
 htwtext(fp,' </td> ');

 htwtext(fp,' <td> ');
 figure;
 imagesc(~bin_img); colormap(gray);
 title('Segmented image' ); 
 fh=gcf; 
 htwtext(fp,'Segmented image: ');
 htwpar(fp); 
 htwhandle(fp, fh, outputdir, htimname, imsizes, imsizes); 
 close(fh);
 htwtext(fp,' </td> ');
 
 htwtext(fp,' <td> ');
 figure;
 imagesc(img); colormap(gray);
 hold on;
 plot(x,y,'r--');
 title('Original image and respective contour' ); 
 fh=gcf; 
 htwtext(fp,'Contour superposed to the original image: ');
 htwpar(fp); 
 htwhandle(fp, fh, outputdir, htimname, imsizes, imsizes); 
 close(fh); 
 htwpar(fp); 
 htwtext(fp,' </td> ');

 htwtext(fp,' </tr> ');
 htwtext(fp,' <tr> ');

 htwtext(fp,' <td> ');
 figure; stem(k(floor(ns*nb/2),:)); 
 xlabel('Contour Parameter');
 ylabel('Curvature');
 title('Curvature X Contour Parameter' ); 
 fh=gcf; 
 htwtext(fp,'Curvature X Contour Parameter: ');
 htwpar(fp); 
 htwhandle(fp, fh, outputdir, htimname, imsizes, imsizes); 
 close(fh); 
 htwpar(fp); 
 htwtext(fp,' </td> ');

 htwtext(fp,' <td> ');
 figure; stem3(x, y, k(floor(ns*nb/2),:)); 
 xlabel('x-axis');
 ylabel('y-axis');
 zlabel('Curvature');
 view(6.5, 48);
 title('Curvature along the contour' ); 
 fh=gcf; 
 htwtext(fp,'Curvature along the contour: ');
 htwpar(fp); 
 htwhandle(fp, fh, outputdir, htimname, imsizes, imsizes); 
 close(fh); 
 htwpar(fp); 
 htwtext(fp,' </td> ');

 htwtext(fp,' <td> ');
 figure;
 imagesc(sigmoid(k,12));
 colormap pink;
 title('The curvegram' ); 
 fh=gcf; 
 htwtext(fp,'Multiscale curvature - : ');
 htwurl(fp, ' the curvegram: ', 'http://www.ime.usp.br/~cesar/shape_crc/');
 htwpar(fp); 
 htwhandle(fp, fh, outputdir, htimname, imsizes, imsizes); 
 close(fh); 
 htwpar(fp); 
 htwtext(fp,' </td> ');

 htwtext(fp,' </tr> ');
 htwtext(fp,' <tr> ');

 htwtext(fp,' <td> ');
 plotmax(k_maxima);
 title('Curvature Scale-Space' ); 
 fh=gcf; 
 htwtext(fp,'Scale-Space - Curvegram Local Maxima: ');
 htwpar(fp); 
 htwhandle(fp, fh, outputdir, htimname, imsizes, imsizes); 
 close(fh); 
 htwpar(fp); 
 htwtext(fp,' </td> ');

 htwtext(fp,' </tr> ');

 htwtext(fp,' </table> ');

end


ht544(outputdir);
htclose(fp);